org.eclipse.ui.actions

## Class ExportResourcesAction

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.jface.action.AbstractAction
    - - org.eclipse.jface.action.Action
      - - org.eclipse.ui.actions.BaseSelectionListenerAction
        - - org.eclipse.ui.actions.ExportResourcesAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener, ActionFactory.IWorkbenchAction

    public class ExportResourcesAction
    extends BaseSelectionListenerAction
    implements ActionFactory.IWorkbenchAction

Action representing a generic export operation.

This class may be instantiated. It is not intended to be subclassed.

This method automatically registers listeners so that it can keep its enablement state up to date. Ordinarily, the window's references to these listeners will be dropped automatically when the window closes. However, if the client needs to get rid of an action while the window is still open, the client must call IWorkbenchAction#dispose to give the action an opportunity to deregister its listeners and to perform any other cleanup.

Note: Despite the name, an export operation can deal with things other than resources; the current name was retained for historical reasons.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.jface.action.IAction

`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

### Constructor Summary

Constructors
Constructor and Description
`ExportResourcesAction(IWorkbench workbench)` Deprecated. use the constructor `ExportResourcesAction(IWorkbenchWindow)`
`ExportResourcesAction(IWorkbench workbench, String label)` Deprecated. use the constructor `ExportResourcesAction(IWorkbenchWindow, String)`
`ExportResourcesAction(IWorkbenchWindow window)` Create a new instance of this class.
`ExportResourcesAction(IWorkbenchWindow window, String label)` Create a new instance of this class.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `dispose()` Disposes of this action.
`void` `run()` Invoke the Export wizards selection Wizard.
`void` `setSelection(IStructuredSelection selection)` Deprecated.

### Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction

`clearCache, getStructuredSelection, runWithEvent, selectionChanged, selectionChanged, updateSelection`

### Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Methods inherited from class org.eclipse.jface.action.AbstractAction

`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

### Methods inherited from class org.eclipse.core.commands.common.EventManager

`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.action.IAction

`addPropertyChangeListener, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, removePropertyChangeListener, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

### Constructor Detail

#### ExportResourcesAction

    public ExportResourcesAction(IWorkbenchWindow window)

Create a new instance of this class.

Parameters:
  `window` - the window

#### ExportResourcesAction

    public ExportResourcesAction(IWorkbenchWindow window,
                                 String label)

Create a new instance of this class.

Parameters:
  `window` - the window
  `label` - the label

#### ExportResourcesAction

    @Deprecated
    public ExportResourcesAction(IWorkbench workbench)

Deprecated. use the constructor `ExportResourcesAction(IWorkbenchWindow)`
Create a new instance of this class

Parameters:
  `workbench` - the workbench

#### ExportResourcesAction

    @Deprecated
    public ExportResourcesAction(IWorkbench workbench,
                                             String label)

Deprecated. use the constructor `ExportResourcesAction(IWorkbenchWindow, String)`
Create a new instance of this class.

Parameters:
  `workbench` - the workbench
  `label` - the label

### Method Detail

#### run

    public void run()

Invoke the Export wizards selection Wizard.

Specified by:
  `run` in interface `IAction`
Overrides:
  `run` in class `Action`
See Also:
  `How radio buttons are handled`, `How check boxes are handled`

#### setSelection

    @Deprecated
    public void setSelection(IStructuredSelection selection)

Deprecated.
Sets the current selection. In for backwards compatability. Use selectionChanged() instead.

Parameters:
  `selection` - the new selection

#### dispose

    public void dispose()

Description copied from interface: `ActionFactory.IWorkbenchAction`
Disposes of this action. Once disposed, this action cannot be used. This operation has no effect if the action has already been disposed.

Specified by:
  `dispose` in interface `ActionFactory.IWorkbenchAction`